bloccare versione pacchetti

2 risposte [Ultimo contenuto]
Ritratto di bricke
bricke
(Guru)
Offline
Guru
Iscritto: 17/08/2005
Messaggi: 650

Finalmente nel mio portatile funziona la scheda ati Xpress 200M, il wi-fi e tutto il resto.

Ora mi interessa bloccare le versioni del driver fglrx e quelle di xorg (7.0.0)

Ho fatto l'operazione tramite synaptic ed ho bloccato tutto xorg (pure tutti i moduli) e anche fglrx.

Quindi se aggiorno da synaptic tutto ok, ma se da terminale do un bel apt-get upgrade o un dist-upgrade lui mi vuole sostituire xorg con la versione 7.1.1 che a me non funge con fglrx.

Per cui chiedevo se c'è un modo più forte di bloccare gli aggiornamenti di xorg...

Grazie

Questo è Unix. Ti dà abbastanza corda per impiccarti da solo. --Miquel van Smoorenburg

Ritratto di kalos
kalos
(Collaboratore)
Offline
Collaboratore
Iscritto: 26/01/2005
Messaggi: 710

devi mettere i pacchetti bloccati in /etc/apt/preferences
vedi il man Big Grin
oppure installa Wajig
con l'interfaccia grafica di gnome che lanci con
gjig
puoi bloccare purgare eliminare i pacchetti orfani e molto di più
:-P

If you haven't tried Debian lately, this would be a good time.

deb lenny/sid
linux user 384443 http://counter.li.org/
linux nelle scuole, firma la petizione

Ritratto di ntropia
ntropia
(Collaboratore)
Offline
Collaboratore
Iscritto: 18/09/2004
Messaggi: 946

Suppongo che questo Wajig faccia più o meno le stesse cose che fanno i vari Synaptic e simili, ma non l'ho mai sentito.

Per impostare le preferenze per i pacchetti datti una letta a questo:man apt_preferences.

eNjoy

Chi ha intendimento conti il numero della Bestia, perché è un numero d'uomo; e il suo numero è... rw-rw-rw-